package mastermind.client;

import java.io.File;
import javax.swing.filechooser.*;

/**
 * Mastermind GUI: File Filter: DAT-Files only
 */
/* -----------------------------------------------------------------------------
 * Version History:
 * 2012-05-19.v01   FeRo    init version
 * -----------------------------------------------------------------------------
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 * @version 2012-05-19.v01
 */
public class MMFileFilter extends FileFilter
{

    final static String dat = "dat";

    /**
     * Accept only dat-files
     * @param f File to check
     * @return true if dat-file (or directory), otherwise false
     */
    public boolean accept(File f)
    {

        if (f.isDirectory()) {
            return true;
        }

        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 && i < s.length() - 1) {
            String extension = s.substring(i + 1).toLowerCase();
            if (dat.equals(extension)) {
                return true;
            } else {
                return false;
            }
        }

        return false;
    }

    /**
     * Description for FileOpen/SaveDialog
     * @return String DAT-Files only
     */
    public String getDescription()
    {
        return "DAT-Files only";
    }
}
