package mastermind.client;

import mastermind.engine.MastermindEngine;
import mastermind.logic.SettingsHandler;

/**
 * Mastermind Main Class.
 */
/* -----------------------------------------------------------------------------
 * Version History:
 * 2012-05-04.v01   FeRo    init version
 * -----------------------------------------------------------------------------
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 * @version 2012-05-04.v01
 */
public class Mastermind
{

    /**
     * Main Client/Test
     * @param args cmd-args
     */
    public static void main(String[] args)
    {
        // create Mastermind Engine
        MastermindEngine mEngine = new MastermindEngine();

        // Client
        IClient myClient;

        if (args.length > 0) {
            // #################################################################
            // run CLI
            myClient = new ClientConsole();
            myClient.runClient(mEngine, args);
        } else {
            // #################################################################
            // run GUI
            // Try to load saved Settings
            SettingsHandler.getInstance().loadSettings();

            myClient = new ClientGUI();
            myClient.runClient(mEngine, args);
        }
    }
}
